<?php
/**
 * The all avaliabe actions in XXB.
 *
 * @copyright   Copyright 2009-2020 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZOSL (https://zpl.pub/page/zoslv1.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     group
 * @version     $Id$
 * @link        https://xuanim.com
 */

/* Module order. */
$lang->moduleOrder[5]  = 'block';
$lang->moduleOrder[10] = 'client';
$lang->moduleOrder[15] = 'entry';
$lang->moduleOrder[20] = 'group';
$lang->moduleOrder[25] = 'file';
$lang->moduleOrder[30] = 'setting';
$lang->moduleOrder[35] = 'tree';
$lang->moduleOrder[40] = 'user';
$lang->moduleOrder[45] = 'push';
$lang->moduleOrder[50] = 'conference';
$lang->moduleOrder[55] = 'integration';

$lang->resource = new stdclass();

/* Block */
$lang->resource->block = new stdclass();
$lang->resource->block->printstatusblock = 'statusBlockTitle';
$lang->resource->block->printstatisticsblock = 'statisticsBlockTitle';
$lang->resource->block->printlicenseblock = 'licenseBlockTitle';
$lang->resource->block->printparamsblock = 'paramsBlockTitle';
$lang->resource->block->printprofileblock = 'profileBlockTitle';
$lang->resource->block->printdownloadblock = 'downloadBlockTitle';

if(!isset($lang->block))              $lang->block = new stdClass();
if(!isset($lang->block->methodOrder)) $lang->block->methodOrder = array();
$lang->block->methodOrder[5]  = 'printstatusblock';
$lang->block->methodOrder[10] = 'printstatisticsblock';
$lang->block->methodOrder[15] = 'printlicenseblock';
$lang->block->methodOrder[20] = 'printparamsblock';
$lang->block->methodOrder[25] = 'printprofileblock';
$lang->block->methodOrder[30] = 'printdownloadblock';

/* Client. */
$lang->resource->client = new stdclass();
$lang->resource->client->browse       = 'browse';
$lang->resource->client->create       = 'create';
$lang->resource->client->edit         = 'edit';
$lang->resource->client->delete       = 'delete';
$lang->resource->client->checkUpgrade = 'checkUpgrade';

if(!isset($lang->client))              $lang->client = new stdClass();
if(!isset($lang->client->methodOrder)) $lang->client->methodOrder = array();
$lang->client->methodOrder[5]  = 'browse';
$lang->client->methodOrder[10] = 'create';
$lang->client->methodOrder[15] = 'edit';
$lang->client->methodOrder[20] = 'delete';
$lang->client->methodOrder[25] = 'checkUpgrade';

/* Entry */
$lang->resource->entry = new stdclass();
$lang->resource->entry->admin    = 'admin';
$lang->resource->entry->create   = 'create';
$lang->resource->entry->edit     = 'edit';
$lang->resource->entry->status   = 'status';
$lang->resource->entry->delete   = 'delete';

if(!isset($lang->entry))              $lang->entry= new stdClass();
if(!isset($lang->entry->methodOrder)) $lang->entry->methodOrder = array();
$lang->entry->methodOrder[5]  = 'admin';
$lang->entry->methodOrder[10] = 'create';
$lang->entry->methodOrder[15] = 'edit';
$lang->entry->methodOrder[20] = 'delete';
$lang->entry->methodOrder[25] = 'category';

/* Group. */
$lang->resource->group = new stdclass();
$lang->resource->group->browse       = 'browse';
$lang->resource->group->create       = 'create';
$lang->resource->group->edit         = 'edit';
$lang->resource->group->delete       = 'delete';
$lang->resource->group->managemember = 'manageMember';
$lang->resource->group->managepriv   = 'managePriv';

if(!isset($lang->group))              $lang->group = new stdClass();
if(!isset($lang->group->methodOrder)) $lang->group->methodOrder = array();
$lang->group->methodOrder[5]  = 'browse';
$lang->group->methodOrder[10] = 'create';
$lang->group->methodOrder[15] = 'edit';
$lang->group->methodOrder[20] = 'delete';
$lang->group->methodOrder[25] = 'managemember';
$lang->group->methodOrder[30] = 'managepriv';

/* Setting. */
$lang->resource->setting = new stdclass();
$lang->resource->setting->lang     = 'lang';
$lang->resource->setting->xuanxuan = 'xuanxuan';

if(!isset($lang->setting))              $lang->setting = new stdClass();
if(!isset($lang->setting->methodOrder)) $lang->setting->methodOrder = array();
$lang->setting->methodOrder[5]  = 'lang';
$lang->setting->methodOrder[10] = 'xuanxuan';

/* File. */
$lang->resource->file = new stdclass();
$lang->resource->file->upload   = 'upload';
$lang->resource->file->download = 'download';
$lang->resource->file->edit     = 'edit';
$lang->resource->file->delete   = 'delete';

if(!isset($lang->file))              $lang->file = new stdClass();
if(!isset($lang->file->methodOrder)) $lang->file->methodOrder = array();
$lang->file->methodOrder[5]  = 'upload';
$lang->file->methodOrder[10] = 'download';
$lang->file->methodOrder[15] = 'edit';
$lang->file->methodOrder[20] = 'delete';

/* Tree. */
$lang->resource->tree = new stdclass();
$lang->resource->tree->browse   = 'browse';
$lang->resource->tree->edit     = 'edit';
$lang->resource->tree->children = 'children';
$lang->resource->tree->delete   = 'delete';

if(!isset($lang->tree))              $lang->tree = new stdClass();
if(!isset($lang->tree->methodOrder)) $lang->tree->methodOrder = array();
$lang->tree->methodOrder[5]  = 'browse';
$lang->tree->methodOrder[10] = 'edit';
$lang->tree->methodOrder[15] = 'children';
$lang->tree->methodOrder[20] = 'delete';

/* User. */
$lang->resource->user = new stdclass();
$lang->resource->user->admin       = 'admin';
$lang->resource->user->create      = 'create';
$lang->resource->user->edit        = 'edit';
$lang->resource->user->delete      = 'delete';
$lang->resource->user->forbid      = 'forbid';
$lang->resource->user->active      = 'active';
$lang->resource->user->batchcreate = 'batchCreate';
$lang->resource->user->import      = 'import';

if(!isset($lang->user))              $lang->user = new stdClass();
if(!isset($lang->user->methodOrder)) $lang->user->methodOrder = array();
$lang->user->methodOrder[5]  = 'admin';
$lang->user->methodOrder[10] = 'create';
$lang->user->methodOrder[15] = 'batchcreate';
$lang->user->methodOrder[20] = 'import';
$lang->user->methodOrder[25] = 'edit';
$lang->user->methodOrder[30] = 'delete';
$lang->user->methodOrder[35] = 'forbid';
$lang->user->methodOrder[40] = 'active';

/* Push. */
$lang->resource->push = new stdclass();
$lang->resource->push->admin = 'admin';
$lang->resource->push->edit  = 'edit';

if(!isset($lang->push))              $lang->push = new stdClass();
if(!isset($lang->push->methodOrder)) $lang->push->methodOrder = array();
$lang->push->methodOrder[5]  = 'admin';
$lang->push->methodOrder[10] = 'edit';

/* OWT. */
$lang->resource->conference = new stdclass();
$lang->resource->conference->admin = 'admin';

if(!isset($lang->conference)) $lang->conference = new stdClass();
if(!isset($lang->conference->methodOrder)) $lang->conference->methodOrder = array();
$lang->conference->methodOrder[5]  = 'admin';

/* Integration */
$lang->resource->integration = new stdclass();
$lang->resource->integration->office = 'office';

if(!isset($lang->integration)) $lang->integration = new stdClass();
if(!isset($lang->integration->methodOrder)) $lang->integration->methodOrder = array();
$lang->integration->methodOrder[5]  = 'office';

/* Every version of new privilege. */
$lang->changelog = array();
//$lang->changelog['1.1'][]   = 'search-saveQuery';
